BimpHelp

Authorization: Bimp API methods

Bimp API methods for the “Authorization” resource (/org2/auth/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/auth/api-loginAllows you to obtain a basic user token for further requests that do not depend on a specific company
POST /org2/auth/api-refreshAllows you to extend the user session by refreshing the token without the need for re-authorization
POST /org2/auth/api-selectCompanyAllows you to generate a new access token containing information about the selected company. This token can be used to access the company’s data (e.g., user list or product balances).
POST /org2/auth/api-verifyCompanyAccessValidates a company access token and returns the associated auth payload for use by microservices.

api-login

POST /org2/auth/api-login

Allows you to obtain a basic user token for further requests that do not depend on a specific company

Request body (JSON)

FieldTypeRequiredDescription
emailstring (email)yesThe email address of the user, must be a valid email format
passwordstringyesThe password for the user

Response: data field

FieldTypeDescription
accessTokenstringThe access token used to authenticate the user for subsequent requests
refreshTokenstringThe refresh token used to obtain a new access token when the current one expires
curl -X POST 'https://app.bimpsoft.com/org2/auth/api-login' \
  -H 'Content-Type: application/json' \
  -d '{"email":"api-user@example.com","password":"string"}'

api-refresh

POST /org2/auth/api-refresh

Allows you to extend the user session by refreshing the token without the need for re-authorization

Request body (JSON)

FieldTypeRequiredDescription
refreshTokenstringyesThe refresh token used to obtain a new access token

Response: data field

FieldTypeDescription
accessTokenstringThe access token used to authenticate the user for subsequent requests
refreshTokenstringThe refresh token used to obtain a new access token when the current one expires
curl -X POST 'https://app.bimpsoft.com/org2/auth/api-refresh' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"refreshToken":"string"}'

api-selectCompany

POST /org2/auth/api-selectCompany

Allows you to generate a new access token containing information about the selected company. This token can be used to access the company’s data (e.g., user list or product balances).

Response: data field

FieldTypeDescription
companyAccessTokenstringThe access token for the company, used for authentication
curl -X POST 'https://app.bimpsoft.com/org2/auth/api-selectCompany' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '"string"'

api-verifyCompanyAccess

POST /org2/auth/api-verifyCompanyAccess

Validates a company access token and returns the associated auth payload for use by microservices.

curl -X POST 'https://app.bimpsoft.com/org2/auth/api-verifyCompanyAccess' \
  -H 'access-token: <company token>'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.